.cartContainer {
  min-height: 100vh;
  display: grid;
  grid-template-columns: 2fr 1fr;
}
/* **************** Cart List **************** */
.cartList {
  margin-top: 2rem;
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
/* Cart Item */
.cartItem {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.cartItem > .imgWrapper {
  width: 100px;
  height: 100px;
  border-radius: var(--bor-rad-10);
  overflow: hidden;
  /* Box Shadow */
  -webkit-box-shadow: 0px 0px 16px 0px rgba(var(--black-color-rgb), 0.1);
  -moz-box-shadow: 0px 0px 16px 0px rgba(var(--black-color-rgb), 0.1);
  box-shadow: 0px 0px 16px 0px rgba(var(--black-color-rgb), 0.1);
}

.cartItem > .productInfo {
  max-width: 500px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100px;
}

.cartItem > .productInfo > .productTagName {
  border: 1px solid var(--orange-color);
  width: max-content;
  padding: 4px 8px;
  border-radius: var(--bor-rad-16);
}

.cartItem > .price,
.cartItem > .total {
  font-size: 20px;
}

.cartItem > .total {
  font-size: 24px;
}

.cartItem > .quantity {
  display: flex;
  align-items: center;
  font-size: 24px;
  gap: 8px;
}

.cartItem > .quantity > svg {
  font-size: 32px;
  cursor: pointer;
}

.cartItem > .deleteBtn {
  font-size: 24px;
  color: var(--orange-color);
  cursor: pointer;
}

/* *********************** Cart Summary ******************* */
.cartSummary {
  margin: 1rem 2rem;
  height: max-content;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.cartSummary > .cartSummaryItem {
  padding: 1rem 2rem;
  border-radius: var(--bor-rad-16);
  background-color: rgba(var(--sub-color-rgb), 0.1);
}

.cartSummary > .userAddress {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.cartSummaryTitle {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  font-size: 20px;
}

.cartSummaryTitle > svg {
  color: var(--orange-color);
  font-size: 24px;
}

.cartSummary > .userAddress > .userAddressTitle > svg {
  font-size: 24px;
}

.userAddress > .userAddressArticle > .userInfo {
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
}

.userAddress > .userAddressArticle > .userInfo > span {
  font-size: 24px;
  color: var(--sub-color);
  cursor: pointer;
}

.voucher,
.express {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.voucher > button,
.express > button {
  padding: 8px 16px;
}

.cartSummaryItem > .cartOrderInfoContent {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  margin-top: 1rem;
  padding-top: 1rem;
  border-top: 1px solid rgba(var(--sub-color-rgb), 0.4);
}

.cartSummaryItem > .cartOrderInfoContent > * {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.cartSummaryItem > .cartOrderInfoAmount {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 1rem;
  padding-top: 1rem;
  border-top: 1px solid rgba(var(--sub-color-rgb), 0.4);
}

.cartSummaryItem > .cartOrderInfoAmount > span {
  font-size: 24px;
  color: var(--orange-color);
  font-weight: 700;
}

/*  **************  MEDIA QUERIES ( MEDIUM DEVICES )  ****************  */
@media screen and (max-width: 1365px) {
  .cartContainer {
    grid-template-columns: 1fr;
    max-width: 1000px;
  }
  .cartSummary {
    margin: 2rem 0;
  }
}

@media screen and (max-width: 1023px) {
  .cartContainer {
    max-width: 748px;
  }
  .cartContainer > .cartList .productInfo {
    display: none;
  }
}

/*  **************  MEDIA QUERIES ( SMALL DEVICES )  ****************  */
@media screen and (max-width: 747px) {
  .cartContainer {
    max-width: 500px;
    padding: 0 1rem;
  }
}
